Page MenuHomePhabricator

The quiz extension displays a "feedback" text, which should not appear by default, on mobile
Closed, ResolvedPublic

Description

the code

|| displayed text after click submit button

should display a text only after clicking the "submit" button. Except that there, it appears by default

https://en.wikiversity.org/wiki/Help:Quiz#Inserting_feedback

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2017, 6:25 PM
Crochet.david updated the task description. (Show Details)Mar 6 2017, 6:26 PM
cristianbaldi added a subscriber: cristianbaldi.EditedMar 6 2017, 6:29 PM

Hey David,

thanks for the report. We already fixed this in the repository. We are shipping the fix in the next release (which should happen tomorrow).

Unfortunately the bug happened because I tweaked things a bit and forgot to test that feature.

Mvolz closed this task as Resolved.Mar 8 2017, 2:24 PM
Mvolz triaged this task as High priority.
Trizek-WMF reopened this task as Open.Mar 9 2017, 1:42 PM
Trizek-WMF added a subscriber: Trizek-WMF.

This feedback reports that the mobile version still have the problem.

Mvolz added a comment.Mar 9 2017, 1:52 PM

This feedback reports that the mobile version still have the problem.

That's odd; it was a total revert to the previous state; maybe needs a refresh?

cristianbaldi added a comment.EditedMar 9 2017, 1:57 PM

I also confirm that bug, I even tried to purge the page on mobile server-side.

It is very very odd. Are we sure that this worked before?

Also it should not be a problem anymore (I hope) with next release, feedback is disabled server side.

Anybody has any idea?

It is also unrelated with the other commit we shipped a few days ago, really no idea.

Mvolz added a comment.Mar 9 2017, 1:57 PM

Hmm, I've checked and my mobile version is displaying the same problem too.

Mvolz renamed this task from The quiz extension displays a text that should not appear by default to The quiz extension displays a text that should not appear by default on mobile.Mar 9 2017, 1:59 PM
Mvolz added a comment.EditedMar 9 2017, 2:01 PM

It is possible it never worked. Feedback was being hidden by a CSS class so if mobile CSS overwrote that it might have been a pre-existing bug....

Ironically I held back this latest fix until the next deploy train, which might have fixed it (since the feedback is now being generated server side instead of being hidden by CSS.)

Mvolz added a comment.Mar 9 2017, 2:04 PM
This comment was removed by Mvolz.
cristianbaldi added a comment.EditedMar 9 2017, 2:08 PM

I isolated the problem. The CSS does not get loaded on mobile (and probably some other resources).

Desktop: (CSS is there, look at the bottom)


Mobile: (CSS is not there)

So yeah, the problem was there before and nobody noticed I guess.

Mvolz added a comment.Mar 9 2017, 2:16 PM

Weird. Well anyway, as you say, https://gerrit.wikimedia.org/r/#/c/341588/ should fix this problem.

I tried some other things and the CSS otherwise seems to be working okay (like highlight the wrong answer in red)... I created a subtask but maybe we don't need it?

Mvolz renamed this task from The quiz extension displays a text that should not appear by default on mobile to The quiz extension displays a "feedback" text, which should not appear by default, on mobile.Mar 9 2017, 2:17 PM

Weird. Well anyway, as you say, https://gerrit.wikimedia.org/r/#/c/341588/ should fix this problem.
I tried some other things and the CSS otherwise seems to be working okay (like highlight the wrong answer in red)... I created a subtask but maybe we don't need it?

It is definitely worth investigating. Especially because some other things like the Javascript might not get loaded on mobile (since they are loaded in the code in the same way).

Some of the other CSS seems to be working probably because that CSS is added inline to the HTML and not from the CSS file.

I think the task is needed, at least until we define the problem.

phuedx moved this task from To Triage to 2014-15 Q4 on the Readers-Web-Backlog board.

I tried to check it, but it seems to work fine now.

Screenshot -

Mvolz closed this task as Resolved.Jul 17 2017, 10:30 AM
Mvolz assigned this task to cristianbaldi.